[Pkg-voip-commits] r3216 - in zaptel/trunk/debian: . patches

Tzafrir Cohen tzafrir-guest at alioth.debian.org
Sat Mar 10 12:55:46 CET 2007


Author: tzafrir-guest
Date: 2007-03-10 11:55:46 +0000 (Sat, 10 Mar 2007)
New Revision: 3216

Added:
   zaptel/trunk/debian/patches/conglomerate_fixes.dpatch
   zaptel/trunk/debian/patches/zaptel_perl.dpatch
Modified:
   zaptel/trunk/debian/changelog
   zaptel/trunk/debian/patches/00list
   zaptel/trunk/debian/patches/Makefile_uname.dpatch
   zaptel/trunk/debian/rules
   zaptel/trunk/debian/zaptel.install
Log:
* zaptel_perl.dpatch: Do install perl modules and scripts.
* zaptel_perl.dpatch: a few other fixes (until next upstream release).
* Include version.h in the tarball.
* Generate and include man page for xpp_blink.
* Copy bristuff modules to main dir before packaging source tarball.
* Include some extra generated headers in the sourec tarball.
* conglomerate_fixes.dpatch: some quick&dirsty fixes to enable conglomerate
  modules building (Closes: #408757).


Modified: zaptel/trunk/debian/changelog
===================================================================
--- zaptel/trunk/debian/changelog	2007-03-08 21:36:56 UTC (rev 3215)
+++ zaptel/trunk/debian/changelog	2007-03-10 11:55:46 UTC (rev 3216)
@@ -1,10 +1,21 @@
 zaptel (1:1.2.15~dfsg-2) UNRELEASED; urgency=low
 
+  [ Mark Purcell ]
   * NOT RELEASED YET
   * Update debian/watch for ~ versions
 
- -- Mark Purcell <msp at debian.org>  Sat,  3 Mar 2007 17:26:18 +0000
+  [ Tzafrir Cohen ]
+  * zaptel_perl.dpatch: Do install perl modules and scripts.
+  * zaptel_perl.dpatch: a few other fixes (until next upstream release).
+  * Include version.h in the tarball. 
+  * Generate and include man page for xpp_blink.
+  * Copy bristuff modules to main dir before packaging source tarball.
+  * Include some extra generated headers in the sourec tarball.
+  * conglomerate_fixes.dpatch: some quick&dirsty fixes to enable conglomerate
+    modules building (Closes: #408757).
 
+ -- Tzafrir Cohen <tzafrir.cohen at xorcom.com>  Sat, 10 Mar 2007 04:55:50 +0200
+
 zaptel (1:1.2.15~dfsg-1) unstable; urgency=low
 
   [ Tzafrir Cohen ]

Modified: zaptel/trunk/debian/patches/00list
===================================================================
--- zaptel/trunk/debian/patches/00list	2007-03-08 21:36:56 UTC (rev 3215)
+++ zaptel/trunk/debian/patches/00list	2007-03-10 11:55:46 UTC (rev 3216)
@@ -15,3 +15,5 @@
 dbug391840.dpatch
 Makefile_hostcc
 xpp_all_platforms
+zaptel_perl
+conglomerate_fixes

Modified: zaptel/trunk/debian/patches/Makefile_uname.dpatch
===================================================================
--- zaptel/trunk/debian/patches/Makefile_uname.dpatch	2007-03-08 21:36:56 UTC (rev 3215)
+++ zaptel/trunk/debian/patches/Makefile_uname.dpatch	2007-03-10 11:55:46 UTC (rev 3216)
@@ -4,8 +4,7 @@
 ## All lines beginning with `## DP:' are a description of the patch.
 ## DP: Removes unnecessary calls to uname -r and uname -m . Use UNAME_M
 ## DP: and KVERS/KVERS_MAJ instead.
-## DP: Impact: Minimal: fixes a possible incorrect behaviour (try version 
-## DP: no. 2.6.2-4) and will also consider 2.5 as linux26 BUILDVER .
+## DP: Applied by upstream in zaptel 1.4.
 
 @DPATCH@
 diff -urNad zaptel-1.2.13~dfsg~/Makefile zaptel-1.2.13~dfsg/Makefile

Added: zaptel/trunk/debian/patches/conglomerate_fixes.dpatch
===================================================================
--- zaptel/trunk/debian/patches/conglomerate_fixes.dpatch	2007-03-08 21:36:56 UTC (rev 3215)
+++ zaptel/trunk/debian/patches/conglomerate_fixes.dpatch	2007-03-10 11:55:46 UTC (rev 3216)
@@ -0,0 +1,56 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## conglomerate_fixes.dpatch by Tzafrir Cohen <tzafrir.cohen at xorcom.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Some quick & dirty fixes to get conglomerate modules building working:
+## DP: 1. Use the target M instead of SUBDIRS (xpp/Makefile relies on the name)
+## DP: 2. Make sure that the value of HOTPLUG_FIRMWARE gets to subdirs.
+
+ at DPATCH@
+diff -urNad zaptel-1.2.15~dfsg~/Makefile zaptel-1.2.15~dfsg/Makefile
+--- zaptel-1.2.15~dfsg~/Makefile	2007-03-10 04:15:13.000000000 +0200
++++ zaptel-1.2.15~dfsg/Makefile	2007-03-10 04:17:06.000000000 +0200
+@@ -50,6 +50,7 @@
+   # Hotplug firmware loading is not supported on any other version then 2.6
+   HOTPLUG_FIRMWARE:=no
+ endif
++export HOTPLUG_FIRMWARE
+ 
+ ifeq ($(HOTPLUG_FIRMWARE),yes)
+   CFLAGS+=-DHOTPLUG_FIRMWARE
+@@ -140,7 +141,7 @@
+ #
+ 
+ KFLAGS+=-DSTANDALONE_ZAPATA
+-KMAKE:= $(MAKE) -C $(KSRC) SUBDIRS=$(PWD)
++KMAKE:= $(MAKE) -C $(KSRC) M=$(PWD)
+ KMAKE_INST:= $(KMAKE) INSTALL_MOD_PATH=$(INSTALL_PREFIX) INSTALL_MOD_DIR=misc modules_install
+ 
+ CONFIG_FILE:=$(INSTALL_PREFIX)/etc/zaptel.conf
+@@ -189,7 +190,7 @@
+ 
+ linux26: prereq $(BINS) $(LIBTONEZONE_SO)
+ 	@if [ -z "$(KSRC)" -o ! -d "$(KSRC)" ]; then echo "You do not appear to have the sources for the $(KVERS) kernel installed."; exit 1 ; fi
+-	$(MAKE) -C $(KSRC) SUBDIRS=$(PWD) HOTPLUG_FIRMWARE=$(HOTPLUG_FIRMWARE) modules
++	$(MAKE) -C $(KSRC) M=$(PWD) HOTPLUG_FIRMWARE=$(HOTPLUG_FIRMWARE) modules
+ 
+ ifeq ($(HPEC_PRESENT),yes)
+ ifeq ($(ARCH),i386)
+@@ -498,7 +499,7 @@
+ 	rm -f patgen pattest patlooptest hdlcstress hdlctest hdlcgen hdlcverify timertest
+ 	rm -f *.o ztcfg tzdriver sethdlc sethdlc-new
+ 	rm -f $(TZOBJS) $(LIBTONEZONE_SO) *.lo
+-	$(MAKE) -C $(KSRC) SUBDIRS=$(PWD) clean
++	$(MAKE) -C $(KSRC) M=$(PWD) clean
+ 	$(MAKE) -C wct4xxp clean
+ 	$(MAKE) -C wctc4xxp clean
+ 	rm -rf .tmp_versions
+diff -urNad zaptel-1.2.15~dfsg~/xpp/Makefile zaptel-1.2.15~dfsg/xpp/Makefile
+--- zaptel-1.2.15~dfsg~/xpp/Makefile	2007-03-02 22:40:06.000000000 +0200
++++ zaptel-1.2.15~dfsg/xpp/Makefile	2007-03-10 04:17:41.000000000 +0200
+@@ -1,4 +1,4 @@
+-ZAPTEL_DIR	= $(SUBDIRS)
++ZAPTEL_DIR	= $(M)
+ 
+ EXTRA_CFLAGS	=	$(XPP_LOCAL_CFLAGS)	\
+ 			-g3 -I$(ZAPTEL_DIR)	\


Property changes on: zaptel/trunk/debian/patches/conglomerate_fixes.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Added: zaptel/trunk/debian/patches/zaptel_perl.dpatch
===================================================================
--- zaptel/trunk/debian/patches/zaptel_perl.dpatch	2007-03-08 21:36:56 UTC (rev 3215)
+++ zaptel/trunk/debian/patches/zaptel_perl.dpatch	2007-03-10 11:55:46 UTC (rev 3216)
@@ -0,0 +1,40 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## zaptel_perl.dpatch by Tzafrir Cohen <tzafrir.cohen at xorcom.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Enable installing the Zaptel perl modules. They are still disabled in
+## DP: upstream to reduce surprise. Also point to the right directory under
+## DP: which to install perl modules.
+## DP: Also includes some small fixes that will be included on next 
+## DP: release ofupstream.
+
+ at DPATCH@
+diff -urNad zaptel-1.2.15~dfsg~/xpp/utils/Makefile zaptel-1.2.15~dfsg/xpp/utils/Makefile
+--- zaptel-1.2.15~dfsg~/xpp/utils/Makefile	2007-02-28 22:57:52.000000000 +0200
++++ zaptel-1.2.15~dfsg/xpp/utils/Makefile	2007-03-10 01:03:26.000000000 +0200
+@@ -24,7 +24,7 @@
+ HOTPLUG_USB_DIR	= /etc/hotplug/usb
+ UDEV_RULES_DIR	= /etc/udev/rules.d
+ # Perl disabled by default, until we see it is safe:
+-#PERLLIBDIR	= $(shell eval `perl -V:sitelib`; echo "$$sitelib")
++PERLLIBDIR	= $(datadir)/perl5
+ 
+ XPD_FIRMWARE	= $(wildcard ../firmwares/*.hex)
+ XPD_INIT_DATA	= $(XPD_FIRMWARE) init_fxo_modes
+@@ -47,7 +47,7 @@
+ %.8: %
+ 	pod2man --section 8 $^ > $@ || $(RM) $@
+ PERL_SCRIPTS	= zt_registration xpp_sync lszaptel
+-PERL_MANS	= zt_registration.8 xpp_sync.8 lszaptel.8
++PERL_MANS	= $(PERL_SCRIPTS:%=%.8)
+ 
+ TARGETS	= init_fxo_modes print_modes adj_clock
+ PROG_INSTALL	= genzaptelconf adj_clock
+@@ -60,6 +60,7 @@
+ ifneq	(,$(PERLLIBDIR))
+ PROG_INSTALL	+= $(PERL_SCRIPTS)
+ MAN_INSTALL	+= $(PERL_MANS)
++TARGETS		+= $(PERL_MANS)
+ endif
+ 
+ all: $(TARGETS)


Property changes on: zaptel/trunk/debian/patches/zaptel_perl.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Modified: zaptel/trunk/debian/rules
===================================================================
--- zaptel/trunk/debian/rules	2007-03-08 21:36:56 UTC (rev 3215)
+++ zaptel/trunk/debian/rules	2007-03-10 11:55:46 UTC (rev 3216)
@@ -36,9 +36,13 @@
 FILENAME := zaptel_$(UPVERSION)~dfsg.orig.tar.gz
 URL := http://ftp2.digium.com/pub/zaptel/releases/zaptel-$(UPVERSION).tar.gz
 
+GENERATED_SOURCES := version.h radfw.h tor2fw.h tones.h 
+
 MOD_EXAMPLES_DIR:=modexamples
+BRISTUFF_MODULES:=cwain qozap zaphfc ztgsm
 ifeq (1,$(USE_BRISTUFF))
   BRISTUFF_EXAMPLES:=$(MOD_EXAMPLES_DIR)/*
+  GENERATED_SOURCES+=$(BRISTUFF_MODULES:%=%.c) $(BRISTUFF_MODULES:%=%.h)
 endif
 
 kdist_clean: clean-unpatched
@@ -77,6 +81,7 @@
 build-stamp: patch-stamp tonezones.txt
 	dh_testdir
 	
+	$(MAKE) $(GENERATED_SOURCES)
 	$(MAKE) programs
 	$(MAKE) -C xpp/utils
 	touch $@
@@ -90,6 +95,7 @@
 	# Add here commands to clean up after the build process.
 	rm -rf $(MOD_EXAMPLES_DIR)
 	rm -f tonezones.txt
+	rm -f $(GENERATED_SOURCES)
 	-$(MAKE) clean
 	
 	#rm -f debian/manpage.links  debian/manpage.refs debian/*.8
@@ -131,7 +137,7 @@
 	# driver source code
 	mkdir -p $(TARDIR)/debian
 	cp Makefile Makefile.kernel26 .version *.c *.h *.rbt $(TARDIR)/
-	for dir in build_tools include cwain qozap vzaphfc oct612x wct4xxp wctc4xxp xpp zaphfc ztgsm; do \
+	for dir in build_tools include vzaphfc oct612x wct4xxp wctc4xxp xpp; do \
 	  if [ -d $$dir ]; then cp -r $$dir $(TARDIR); fi; \
 	done
 	dh_install -i zaptel.h torisa.h usr/include/linux/

Modified: zaptel/trunk/debian/zaptel.install
===================================================================
--- zaptel/trunk/debian/zaptel.install	2007-03-08 21:36:56 UTC (rev 3215)
+++ zaptel/trunk/debian/zaptel.install	2007-03-10 11:55:46 UTC (rev 3216)
@@ -1,5 +1,6 @@
 sbin/*
 usr/sbin/*
+usr/share/perl5/Zaptel*
 usr/share/zaptel/*
 usr/share/man/man8/*
 etc/hotplug/usb/*




More information about the Pkg-voip-commits mailing list